wxRuby Documentation Home

# Wx::MaximizeEvent

An event being sent when the frame is maximized or restored.

## Derived from

Event

Object

## Event table macros

To handle iconize events, use this handler method to direct the event
object to a block that takes a MaximizeEvent argument:

evt_maximize() { | event | … } | Process a EVT_MAXIMIZE event.

## See also

Event handling overview, TopLevelWindow#maximize, TopLevelWindow#is_maximized

The opposite of a MaximizeEvent is an IconizeEvent,
when a frame is minimized to an icon.

## Methods

- MaximizeEvent.new

### MaximizeEvent.new

MaximizeEvent.new(%(arg-type)Integer% id = 0)

Constructor.

[This page automatically generated from the Textile source at 2023-06-09 00:45:31 +0000]